FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian KDE

 
 
LinkBack Thread Tools
 
Old 12-19-2011, 07:53 AM
Martin Steigerwald
 
Default Thanks for KDE 4.7.4

Hi!

Thanks for KDE 4.7.4.

Installed nicely after I selected to upgrade shared-desktop-ontologies
from aptitude´s conflict resolution offerings.

Ciao,
--
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA B82F 991B EAAC A599 84C7


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112190953.05387.Martin@lichtvoll.de">http://lists.debian.org/201112190953.05387.Martin@lichtvoll.de
 
Old 12-19-2011, 05:49 PM
Michael Schuerig
 
Default Thanks for KDE 4.7.4

On Monday 19 December 2011, Martin Steigerwald wrote:
> Thanks for KDE 4.7.4.
>
> Installed nicely after I selected to upgrade
> shared-desktop-ontologies from aptitude´s conflict resolution
> offerings.

Hi Martin,

can you give a hint how you managed to upgrade from 4.6.5 in unstable?
I've tried

$ sudo aptitude install -t experimental kde-standard

and various other things. In each case, aptitude suggests to remove a
large number or KDE packages.

Michael

--
Michael Schuerig
mailto:michael@schuerig.de
http://www.schuerig.de/michael/


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112191949.30089.michael.lists@schuerig.de">http ://lists.debian.org/201112191949.30089.michael.lists@schuerig.de
 
Old 12-19-2011, 06:11 PM
Petr Vorel
 
Default Thanks for KDE 4.7.4

sudo apt-get -t experimental dist-upgrade

On 19 December 2011 19:49, Michael Schuerig <michael.lists@schuerig.de> wrote:
> On Monday 19 December 2011, Martin Steigerwald wrote:
>> Thanks for KDE 4.7.4.
>>
>> Installed nicely after I selected to upgrade
>> shared-desktop-ontologies from aptitudeć„€ conflict resolution
>> offerings.
>
> Hi Martin,
>
> can you give a hint how you managed to upgrade from 4.6.5 in unstable?
> I've tried
>
> $ sudo aptitude install -t experimental kde-standard
>
> and various other things. In each case, aptitude suggests to remove a
> large number or KDE packages.
>
> Michael
>
> --
> Michael Schuerig
> mailto:michael@schuerig.de
> http://www.schuerig.de/michael/
>
>
> --
> To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/201112191949.30089.michael.lists@schuerig.de
>


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CABLm4VmFfQ9DE=NzTSCL5TRFBXhxs5N2yu_yOTnuHMLsZ2iV-g@mail.gmail.com">http://lists.debian.org/CABLm4VmFfQ9DE=NzTSCL5TRFBXhxs5N2yu_yOTnuHMLsZ2iV-g@mail.gmail.com
 
Old 12-19-2011, 06:39 PM
Martin Steigerwald
 
Default Thanks for KDE 4.7.4

Am Montag, 19. Dezember 2011 schrieb Michael Schuerig:
> On Monday 19 December 2011, Martin Steigerwald wrote:
> > Thanks for KDE 4.7.4.
> >
> > Installed nicely after I selected to upgrade
> > shared-desktop-ontologies from aptitude´s conflict resolution
> > offerings.
>
> Hi Martin,
>
> can you give a hint how you managed to upgrade from 4.6.5 in unstable?
> I've tried
>
> $ sudo aptitude install -t experimental kde-standard
>
> and various other things. In each case, aptitude suggests to remove a
> large number or KDE packages.

I don´t remember that step anymore. I upgrade from previous 4.7.2
packages. They upgrade from 4.6.5 wasn´t to difficult at all.

Try the dist-upgrade thing Petr suggested. When aptitude doesn´t yield
expected results, try apt-get or cycle through the offerings that aptitude
gives you. Maybe install shared-desktop-ontologies from experimental
manually before you try to install KDE 4.7.4.

For more detailed suggestions I need to see outputs of aptitude / apt-get!

Thanks
--
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA B82F 991B EAAC A599 84C7


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112192039.55210.Martin@lichtvoll.de">http://lists.debian.org/201112192039.55210.Martin@lichtvoll.de
 
Old 12-19-2011, 07:15 PM
Michael Schuerig
 
Default Thanks for KDE 4.7.4

On Monday 19 December 2011, Martin Steigerwald wrote:
> Am Montag, 19. Dezember 2011 schrieb Michael Schuerig:
> > On Monday 19 December 2011, Martin Steigerwald wrote:
> > > Thanks for KDE 4.7.4.
> > >
> > > Installed nicely after I selected to upgrade
> > > shared-desktop-ontologies from aptitude´s conflict resolution
> > > offerings.
> >
> > Hi Martin,
> >
> > can you give a hint how you managed to upgrade from 4.6.5 in
> > unstable? I've tried
> >
> > $ sudo aptitude install -t experimental kde-standard
> >
> > and various other things. In each case, aptitude suggests to remove
> > a large number or KDE packages.
>
> I don´t remember that step anymore. I upgrade from previous 4.7.2
> packages. They upgrade from 4.6.5 wasn´t to difficult at all.
>
> Try the dist-upgrade thing Petr suggested. When aptitude doesn´t
> yield expected results, try apt-get or cycle through the offerings
> that aptitude gives you. Maybe install shared-desktop-ontologies
> from experimental manually before you try to install KDE 4.7.4.

shared-desktop-ontologies 0.8.1-1 is installed. Still, when I try a
dist-upgrade (or rather full-upgrade) to experimental, aptitude suggests
to remove 140 packages. I don't think this is caused by KDE by itself,
rather it is because other installed (unstable) packages are in flux in
experimental. Among the suggested removals are gimp, lots of libghc-*
packages, libreoffice, and various nvidia packages.

As far as I can tell, my main problem is that a full-upgrade to
experimental is far too unspecific. I'd rather have a way to upgrade
only the KDE packages and their dependencies.

Michael

--
Michael Schuerig
mailto:michael@schuerig.de
http://www.schuerig.de/michael/


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112192115.06414.michael.lists@schuerig.de">http ://lists.debian.org/201112192115.06414.michael.lists@schuerig.de
 
Old 12-19-2011, 08:00 PM
Michael Schuerig
 
Default Thanks for KDE 4.7.4

On Monday 19 December 2011, Michael Schuerig wrote:
[Updating to 4.7.4]

OK, I've managed it through some non-reproducible jugging with aptitude
and apt-get.

Michael

--
Michael Schuerig
mailto:michael@schuerig.de
http://www.schuerig.de/michael/


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112192200.11183.michael.lists@schuerig.de">http ://lists.debian.org/201112192200.11183.michael.lists@schuerig.de
 
Old 12-19-2011, 10:42 PM
Diederik de Haas
 
Default Thanks for KDE 4.7.4

On Monday 19 December 2011 20:11:13 Petr Vorel wrote:
> sudo apt-get -t experimental dist-upgrade

Don't do that, that'll upgrade all packages which also has a (higher) version in experimental.

This is what I've used to upgrade from 4.7.2 to 4.7.4, but it may also work when upgrading from
4.6.5 (but haven't tested it, try it by adding -s (simulate) to the line):

aptitude safe-upgrade -t experimental '~i~Aexperimental-snapshots'

Which will upgrade each installed packages which is available in experimental-snapshots.
Another command I tried, but didn't produce the same results is:

aptitude safe-upgrade -t experimental '~i~Gsuite::kde'

You need debtags package installed for that command.


Diederik


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112200042.50459.didi.debian@cknow.org">http://lists.debian.org/201112200042.50459.didi.debian@cknow.org
 
Old 12-20-2011, 05:31 AM
Detlev Brodowski
 
Default Thanks for KDE 4.7.4

Am Dienstag, 20. Dezember 2011, 00:42:50 schrieb Diederik de Haas:
> On Monday 19 December 2011 20:11:13 Petr Vorel wrote:
> > sudo apt-get -t experimental dist-upgrade
>
> Don't do that, that'll upgrade all packages which also has a (higher)
> version in experimental.
>
> This is what I've used to upgrade from 4.7.2 to 4.7.4, but it may
> also work when upgrading from 4.6.5 (but haven't tested it, try it
> by adding -s (simulate) to the line):
>
> aptitude safe-upgrade -t experimental '~i~Aexperimental-snapshots'
>
> Which will upgrade each installed packages which is available in
> experimental-snapshots. Another command I tried, but didn't produce
> the same results is:
>
> aptitude safe-upgrade -t experimental '~i~Gsuite::kde'
>
> You need debtags package installed for that command.
>
>
> Diederik

Hello all,

At 1st thanks for the great job. I could update the packages without any
issues.

My way was:

1. adding experimental repository to /etc/apt/sources.list

deb http://ftp.debian.org/debian/ experimental main contrib non-free

2. set priority of this experimental repository to -1 in
/etc/apt/preferences

=====8<-----
Package: *
Pin: release o=Debian,a=experimental
Pin-Priority: -1
----->8=====


3. set the wanted packages to priority 500 in a separated file ex.
/etc/apt/preferences.d/kde-exp. (I have my file attached)
(it contains the exp. digikam packages, too)

@Maintainers:
Is it possible to package the new kdepim 4.7.4? I would like to test
this.

Kind regards
Detlev
#Package: *
#Pin: release o=qt-kde,a=experimental-snapshots
#Pin-Priority: 500

Package: akonadi-server libakonadiprotocolinternals1 libakonadi-dev akonadi-backend-mysql akonadi-backend-postgresql akonadi-backend-odbc akonadi-backend-sqlite akonadi-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: soprano-daemon libsoprano4 libsoprano-dev libsoprano-doc libsoprano-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: rekonq
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: shared-desktop-ontologies
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kde-plasma-desktop kde-plasma-netbook kde-standard kde-full kdeedu kdegraphics kde-sc-dev-latest kdegraphics-libs-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: oxygen-icon-theme
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kde-l10n-ar kde-l10n-bg kde-l10n-bs kde-l10n-ca kde-l10n-cavalencia kde-l10n-cs kde-l10n-da kde-l10n-de kde-l10n-el kde-l10n-engb kde-l10n-es kde-l10n-et kde-l10n-eu kde-l10n-fi kde-l10n-fr kde-l10n-ga kde-l10n-gl kde-l10n-he kde-l10n-hr kde-l10n-hu kde-l10n-ia kde-l10n-id kde-l10n-is kde-l10n-it kde-l10n-ja kde-l10n-kk kde-l10n-km kde-l10n-kn kde-l10n-ko kde-l10n-lv kde-l10n-lt kde-l10n-nb kde-l10n-nds kde-l10n-nl kde-l10n-nn kde-l10n-pa kde-l10n-pl kde-l10n-pt kde-l10n-ptbr kde-l10n-ro kde-l10n-ru kde-l10n-sk kde-l10n-sl kde-l10n-sr kde-l10n-sv kde-l10n-th kde-l10n-tr kde-l10n-ug kde-l10n-uk kde-l10n-wa kde-l10n-zhcn kde-l10n-zhtw
Pin: release o=Debian,a=experimental
Pin-Priority: 500

#Package: libpolkit-qt-1-dev libpolkit-qt-1-1
#Pin: release o=Debian,a=experimental
#Pin-Priority: 500

#Package: kdepim-runtime kdepim-runtime-dbg
#Pin: release o=Debian,a=experimental
#Pin-Priority: 500

#Package: kdepim kdepim-dbg akregator kaddressbook kalarm kdepim-kresources kdepim-groupware kdepim-wizards kleopatra kmail knode knotes konsolekalendar kontact korganizer ktimetracker libkdepim4 libkleo4 libkpgp4 libksieve4 libmimelib4 libmessagecore4 libmessagelist4 libmessageviewer0 kdepim-strigi-plugins kjots blogilo akonadiconsole
#Pin: release o=Debian,a=experimental
#Pin-Priority: 500

Package: kdewebdev kfilereplace kimagemapeditor klinkstatus kommander kdewebdev-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdetoys amor kteatime ktux kdetoys-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdenetwork kdenetwork-filesharing kget libkopete4 kopete libkopete-dev kppp krdc krfb kdenetwork-dbg kde-zeroconf
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kde-runtime kdebase-runtime kde-runtime-data khelpcenter4 kde-config-phonon-xine plasma-scriptengine-javascript kde-runtime-dbg kdebase-runtime-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdeartwork kdeartwork-emoticons kdewallpapers kdeartwork-theme-icon kde-icons-nuvola nuvola-icon-theme kde-icons-mono kdeartwork-theme-window kdeartwork-style kscreensaver kscreensaver-xsavers kscreensaver-xsavers-webcollage plasma-desktopthemes-artwork kdeartwork-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdeadmin kcron kde-config-cron ksystemlog kuser system-config-printer-kde kdeadmin-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdeutils kdeutils-dbg ark kcalc kcharselect kremotecontrol kdelirc kdf kfloppy kgpg ktimer kwalletmanager plasma-scriptengine-superkaramba sweeper printer-applet filelight
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdesdk cervisia kapptemplate kcachegrind kcachegrind-converters kdesdk-dolphin-plugins kdesdk-kio-plugins kdesdk-misc kdesdk-scripts kdesdk-strigi-plugins kmtrace kompare kuiviewer cvsservice poxml umbrello lokalize kpartloader okteta okteta-dev libkastencontrollers4 libkastencore4 libkastengui4 liboktetacore4 liboktetagui4 liboktetakastencontrollers4abi1 liboktetakastencore4 liboktetakastengui4 kdesdk-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kate katepart kate-data libkatepartinterfaces4 libkateinterfaces4 kwrite kate-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: konsole konsole-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdeplasma-addons plasma-widgets-addons plasma-containments-addons plasma-dataengines-addons plasma-runners-addons plasma-wallpapers-addons plasma-widget-lancelot kdeplasma-addons-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdepimlibs5-dev kdepimlibs-kio-plugins libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libgpgme++2 libkabc4 libkblog4 libkcal4 libkcalcore4 libkcalutils4 libkholidays4 libkimap4 libkldap4 libkmbox4 libakonadi-calendar4 libkmime4 libkontactinterface4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkresources4 libktnef4 libkxmlrpcclient4 libmailtransport4 libmicroblog4 libqgpgme1 libsyndication4 kdepimlibs-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdemultimedia kdemultimedia-kio-plugins juk kmix kscd libkcddb4 libkcddb-dev dragonplayer mplayerthumbs ffmpegthumbs kde-config-cddb kdemultimedia-dev kdemultimedia-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdegames libkdegames5a libkggzgames4 libkggzmod4 libkggznet4 libkmahjongglib4 libkdegames-dev kdegames-card-data kdegames-mahjongg-data bomber bovo kapman katomic kbattleship kblackbox kbounce kdiamond kgoldrunner killbots kiriki kjumpingcube klines kmahjongg kmines knetwalk kolf kollision konquest kpat kreversi klickety ksame kshisen kspaceduel ksquares ksudoku ktuberling kfourinline kubrick kblocks lskat kbreakout ksirk ktron palapeli palapeli-data granatier kigo kajongg kdegames-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libkdeedu-data kdeedu-kvtml-data libkeduvocdocument4 libkdeedu-dev libkdeedu-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: blinken
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: cantor cantor-backend-kalgebra cantor-backend-maxima cantor-backend-octave cantor-backend-r cantor-backend-sage cantor-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kalgebra kalgebramobile kalgebra-common kalgebra-dev libanalitza4 libanalitzagui4 kalgebra-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kalzium kalzium-data kalzium-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kanagram
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kbruch kbruch-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kgeography kgeography-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: khangman
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kig
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kiten libkiten4 libkiten-dev kiten-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: klettres klettres-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kmplot
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kstars kstars-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: ktouch ktouch-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kturtle
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kwordquiz
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: marble marble-data marble-plugins libmarblewidget12 libmarble-dev marble-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: parley parley-data
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: rocs
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: step
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kde-workspace kdebase-workspace plasma-desktop plasma-netbook kde-workspace-bin kdebase-workspace-bin kde-workspace-data kde-workspace-dev kdebase-workspace-dev plasma-dataengines-workspace plasma-widgets-workspace plasma-scriptengines plasma-scriptengine-ruby plasma-scriptengine-python plasma-scriptengine-webkit plasma-scriptengine-googlegadgets freespacenotifier kdm kinfocenter klipper ksysguardd ksysguard kde-window-manager libkdecorations4 libkwineffects1abi2 systemsettings kde-workspace-kgreet-plugins kde-style-oxygen kmenuedit libkephal4abi1 libkscreensaver5 libksgrd4 libksignalplotter4 libkworkspace4 liblsofui4 libplasmaclock4abi2 libplasma-geolocation-interface4 libplasmagenericshell4 libprocesscore4abi1 libprocessui4a libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libtaskmanager4abi2 libweather-ion6 kde-workspace-dbg kdebase-workspace-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kde-baseapps kdebase-apps dolphin kde-baseapps-bin kdebase-bin kde-baseapps-data kdepasswd kfind konqueror konqueror-nsplugins konq-plugins libkonq5abi1 libkonq-common libkonq5-templates libkonq5-dev libkonqsidebarplugin4a libkonqsidebarplugin-dev plasma-widget-folderview kde-baseapps-dbg kdebase-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdeaccessibility kmag kmouth jovie kttsd kmousetool kaccessible kdeaccessibility-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libkdecore5 libkdeui5 libkpty4 libkdesu5 libkjsapi4 libkjsembed4 libkio5 libkntlm4 libsolid4 libkde3support4 libkfile4 libknewstuff2-4 libknewstuff3-4 libkparts4 libkutils4 libthreadweaver4 libkhtml5 libkimproxy4 libkmediaplayer4 libktexteditor4 libknotifyconfig4 libkdnssd4 libkrosscore4 libkrossui4 libnepomuk4 libnepomukutils4 libnepomukquery4a libplasma3 libkunitconversion4 libkdewebkit5 libkcmutils4 libkemoticons4 libkidletime4 libkprintutils4 libkdeclarative5 kdelibs-bin kdelibs5-plugins kdelibs5-data kdoctools kdelibs5-dev kdelibs5-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: gwenview gwenview-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kamera kamera-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kcolorchooser
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kgamma
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kolourpaint4
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kruler
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: ksnapshot
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libokularcore1 okular okular-dev okular-extra-backends okular-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdegraphics-mobipocket
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdegraphics-strigi-analyzer
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: kdegraphics-thumbnailers
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: ksaneplugin
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: svgpart
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libkdcraw20 libkdcraw-dev libkdcraw-data libkdcraw20-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libkexiv2-10 libkexiv2-data libkexiv2-dev libkexiv2-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libkipi-dev libkipi8 libkipi-data libkipi-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

Package: libksane0 libksane-data libksane-dev libksane-dbg
Pin: release o=Debian,a=experimental
Pin-Priority: 500

#Package: opencv-doc libcv-dev libcv2.3 libhighgui-dev libhighgui2.3 libcvaux-dev libcvaux2.3 libopencv-dev libopencv-core-dev libopencv-core2.3 libopencv-ml-dev libopencv-ml2.3 libopencv-imgproc-dev libopencv-imgproc2.3 libopencv-video-dev libopencv-video2.3 libopencv-objdetect-dev libopencv-objdetect2.3 libopencv-gpu-dev libopencv-gpu2.3 libopencv-highgui-dev libopencv-highgui2.3 libopencv-calib3d-dev libopencv-calib3d2.3 libopencv-flann-dev libopencv-flann2.3 libopencv-features2d-dev libopencv-features2d2.3 libopencv-legacy-dev libopencv-legacy2.3 libopencv-contrib-dev libopencv-contrib2.3 python-opencv
#Pin: release o=Debian,a=experimental
#Pin-Priority: 500

Package: digikam showfoto digikam-dbg digikam-data digikam-doc kipi-plugins kipi-plugins-common
Pin: release o=Debian,a=experimental
Pin-Priority: 500
 
Old 12-20-2011, 07:28 AM
"Andreas v. Heydwolff"
 
Default Thanks for KDE 4.7.4

On 2011-12-19 22:00, Michael Schuerig wrote:

On Monday 19 December 2011, Michael Schuerig wrote:
[Updating to 4.7.4]

OK, I've managed it through some non-reproducible jugging with aptitude
and apt-get.

Michael


(sorry for the p.m., Michael)


This is how I start upgrading kde. My "aptgrep" script searches for the
upgradeable packages with the string in question ($1), and I usually run
it twice, first with kde as the search string, then with the old KDE
version number derived from he atptiude info ("replacing X with Y"),
e.g. 4.6.3. Finally I run


# aptitude install ~nokular

and gwenview and dolphi, just to make sure the extras got pulled in.

The script can be used for other sets of packages as well, of course.

Enjoy.

Andreas


--------------------------------------------------------------------

#!/bin/bash

apt-get dist-upgrade -s | grep $1 | sed -n '/Inst/,$p' | grep -v Conf |
cut -d' ' -f2 | tr '
' ' ' | tee /tmp/aptgrep


PKG=`cat /tmp/aptgrep`

if [ "$PKG" = "" ]
then echo nothing to be done, exiting ; echo ; exit
else echo ; echo ; echo "install packages? [y/N]"
read INST 1>/dev/null
if [ "$INST" = "y" ]
then apt-get install $PKG
else echo no upgrade, exiting ; echo ; exit
fi
fi
exit 0
---------------------------------------------------------------------


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4EF0472B.7080005@sandpsych.at">http://lists.debian.org/4EF0472B.7080005@sandpsych.at
 
Old 12-20-2011, 11:54 AM
Martin Steigerwald
 
Default Thanks for KDE 4.7.4

Am Montag, 19. Dezember 2011 schrieb Michael Schuerig:
> On Monday 19 December 2011, Martin Steigerwald wrote:
> > Am Montag, 19. Dezember 2011 schrieb Michael Schuerig:
> > > On Monday 19 December 2011, Martin Steigerwald wrote:
> > > > Thanks for KDE 4.7.4.
> > > >
> > > >
> > > >
> > > > Installed nicely after I selected to upgrade
> > > > shared-desktop-ontologies from aptitude´s conflict resolution
> > > > offerings.
> > >
> > >
> > >
> > > Hi Martin,
> > >
> > >
> > >
> > > can you give a hint how you managed to upgrade from 4.6.5 in
> > > unstable? I've tried
> > >
> > >
> > >
> > > $ sudo aptitude install -t experimental kde-standard
> > >
> > >
> > >
> > > and various other things. In each case, aptitude suggests to remove
> > > a large number or KDE packages.
> >
> >
> >
> > I don´t remember that step anymore. I upgrade from previous 4.7.2
> > packages. They upgrade from 4.6.5 wasn´t to difficult at all.
> >
> >
> >
> > Try the dist-upgrade thing Petr suggested. When aptitude doesn´t
> > yield expected results, try apt-get or cycle through the offerings
> > that aptitude gives you. Maybe install shared-desktop-ontologies
> > from experimental manually before you try to install KDE 4.7.4.
>
> shared-desktop-ontologies 0.8.1-1 is installed. Still, when I try a
> dist-upgrade (or rather full-upgrade) to experimental, aptitude
> suggests to remove 140 packages. I don't think this is caused by KDE
> by itself, rather it is because other installed (unstable) packages
> are in flux in experimental. Among the suggested removals are gimp,
> lots of libghc-* packages, libreoffice, and various nvidia packages.
>
> As far as I can tell, my main problem is that a full-upgrade to
> experimental is far too unspecific. I'd rather have a way to upgrade
> only the KDE packages and their dependencies.

Hmmm, now that I read it again, I believe that should be "experimental-
snapshots" instead of "experimental".

Cause it is definately not wise to unconditionally install everything from
"experimental". But then "experimental-snapshots" only works when the
4.7.4 packages have been uploaded there.

But that doesn´t seem to be the case:
martin@merkaba:~> LANG=C apt-cache policy kdebase-runtime
kdebase-runtime:
Installed: 4:4.7.4-1
Candidate: 4:4.7.4-1
Version table:
*** 4:4.7.4-1 0
120 http://ftp.de.debian.org/debian/ experimental/main amd64
Packages
100 /var/lib/dpkg/status
4:4.7.2-1 0
110 http://qt-kde.debian.net/debian/ experimental-snapshots/main
amd64 Packages
4:4.6.5-1+b1 0
450 http://ftp.de.debian.org/debian/ wheezy/main amd64 Packages
500 http://ftp.de.debian.org/debian/ sid/main amd64 Packages

So I had the luck that I installed KDE 4.7.2 while it was in experimental-
snapshots and from there the upgrade to 4.7.4 was easy.

For upgrading from Wheezy/Sid KDE 4.6.5 to 4.7.4 I suggest naming KDE
metapackages explicitely.

Ciao,
--
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA B82F 991B EAAC A599 84C7


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112201354.29419.Martin@lichtvoll.de">http://lists.debian.org/201112201354.29419.Martin@lichtvoll.de
 

Thread Tools




All times are GMT. The time now is 12:58 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org